Next: CONJG, Previous: COMPILER_VERSION, Up: Intrinsic Procedures

### 8.50 `COMPILER_OPTIONS` — Options passed to the compiler

Description:
  `COMPILER_OPTIONS` returns a string with the options used for compiling.
Standard:
  Fortran 2008
Class:
  Inquiry function of the module `ISO_FORTRAN_ENV`
Syntax:
  `STR = COMPILER_OPTIONS()`
Arguments:
  None.
Return value:
  The return value is a default-kind string with system-dependent length. It contains the compiler flags used to compile the file, which called the `COMPILER_OPTIONS` intrinsic.
Example:

                   use iso_fortran_env
                   print '(4a)', 'This file was compiled by ', &
                                 compiler_version(), ' using the options ', &
                                 compiler_options()
                   end

See also:
  COMPILER_VERSION, ISO_FORTRAN_ENV